my-app/
│
├── client/             # Клиентская часть
│   ├── admin/          # Админка
│   │   ├── src/        # Исходные файлы админки
│   │   │   ├── index.pug
│   │   │   ├── style.styl
│   │   │   └── script.coffee
│   │   └── dist/       # Собранные файлы админки
│   ├── user/           # Пользовательский интерфейс
│   │   ├── src/        # Исходные файлы пользовательской части
│   │   │   ├── index.pug
│   │   │   ├── style.styl
│   │   │   └── script.coffee
│   │   └── dist/       # Собранные файлы пользовательской части
│   ├── shared/         # Общие файлы (например, стили)
│   └── gulpfile.coffee # Конфигурация Gulp на CoffeeScript
│
├── server/             # Серверная часть
│   ├── server.coffee   # Сервер на CoffeeScript
│   ├── db/             # Папка для базы данных
│   ├── auth/           # Модуль авторизации
│   │   └── auth.coffee
│   └── package.json    # Зависимости серверной части
│
├── storage/            # Папка для хранения данных PouchDB
│
├── postcss.config.js   # Конфигурация PostCSS
├── tailwind.config.js  # Конфигурация TailwindCSS
└── package.json        # Зависимости клиентской части
